<?php
/*------------------------------------------------------------------------
# mod_fake_content - Fake Content
# ------------------------------------------------------------------------
# author    Francisco Javier Félix Belmonte
# copyright Copyright (C) 2014 www.inode64.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.inode64.com
# Technical Support:  http://www.inode64.com/Codigo/Joomla/Componente-CONTENT_FAKE-para-la-creacion-de-contenidos-falsos.html
-------------------------------------------------------------------------*/

defined('_JEXEC') or die;

require_once (JPATH_SITE.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_contentfake'.DIRECTORY_SEPARATOR.'models'.DIRECTORY_SEPARATOR.'contentfake.php');
JTable::addIncludePath(JPATH_ADMINISTRATOR.DIRECTORY_SEPARATOR.'components'.DIRECTORY_SEPARATOR.'com_contentfake'.DIRECTORY_SEPARATOR.'tables');

$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

$item = new stdClass();
$model = new ContentFakeModelContentFake;

$id = $params->get('id');
$type = $params->get('mode');
$count = $params->get('count');
$textalign = $params->get('textalign');

$table = $model->getTable();
$table->load($id);

$width = $params->get('width');
$height = $params->get('height');
$color = $params->get('imagebgcolor');
$md = md5("$width $height $color");

$style = $model->getTextPosition($params->get('textposition') );
//Image
$item->imageposition = $model->getImagePosition( $params->get('imageposition') );
$item->alt  = $width . 'x' . $height;
$item->imagemargin = $params->get('imagemargin');
$item->customimage = $params->get('pickpica');
$item->size = ($width>0) ? " width: " . $width . "px;" : "";
$item->size .= ($height>0) ? " height: " . $height . "px;" : "";

if (empty($item->customimage)) {
    $item->image = $model->create_image($width, $height, $color);
}

$repeat = 0;
$item->text = '';
//Text
if ($style != 'none' ) {
        $text = explode("|", $table->content);

        for($i=0; $i<$count; $i++)
        {
                $item->text .= $model->toParagraph($text[$i], $type);
                if ($i==count($text)-1) {
                        $i = -1;
                        $count -= count($text)-1;
                }
        }

        $item->text = "<div style='text-align:$style'>" . $item->text . "</div>";
}


require JModuleHelper::getLayoutPath('mod_fake_content', $params->get('layout', 'default'));

?>
